Bug 52438

Summary: Move WebKit2 into Source
Product: WebKit Reporter: Adam Barth <abarth>
Component: New BugsAssignee: Adam Barth <abarth>
Status: RESOLVED FIXED    
Severity: Normal CC: ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 51606    
Attachments:
Description Flags
Patch
none
Qt followup patch none

Description Adam Barth 2011-01-14 02:41:05 PST
Move WebKit2 into Source
Comment 1 Adam Barth 2011-01-14 02:46:07 PST
Created attachment 78920 [details]
Patch
Comment 2 Csaba Osztrogon√°c 2011-01-14 10:16:21 PST
Comment on attachment 78920 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=78920&action=review

WebKit2/Scripts/generate-forwarding-headers.pl need some 
changes, I'll upload it. Otherwise Qt build will work.

> Source/WebCore/WebCore.pro:185
> +    addWebKit2LibWholeArchive(../../Souce/WebKit2)

typo: s/Souce/Source/g

> WebKit2/WebKit2.pro:174
> -PREFIX_HEADER = $$PWD/../WebKit2/WebKit2Prefix.h
> +PREFIX_HEADER = $$PWD/../Source/WebKit2/WebKit2Prefix.h

PREFIX_HEADER = $$PWD/../../Source/WebKit2/WebKit2Prefix.h
Comment 3 Csaba Osztrogon√°c 2011-01-14 10:22:32 PST
Created attachment 78954 [details]
Qt followup patch
Comment 4 Adam Barth 2011-01-14 11:50:34 PST
Comment on attachment 78920 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=78920&action=review

>> Source/WebCore/WebCore.pro:185
>> -    include($$PWD/../../WebKit2/WebKit2.pri)
>> -    addWebKit2LibWholeArchive(../../WebKit2)
>> +    include($$PWD/../../Source/WebKit2/WebKit2.pri)
>> +    addWebKit2LibWholeArchive(../../Souce/WebKit2)
> 
> typo: s/Souce/Source/g

Thanks!  I'll merge the "followup" patch into the main patch.
Comment 5 Adam Barth 2011-01-15 13:18:31 PST
Committed revision 75880.
Comment 6 Andrey Kosyakov 2011-01-17 08:27:41 PST
Comment on attachment 78920 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=78920&action=review

> WebKit2/win/WebKit2.vcproj:22
>  			CharacterSet="1"

Here and in a few places below, the closing parenthesis is missing in reference to WebKitVSPropsRedirectionDir, and the count of parent directory references is wrong -- this broke win build (I still wonder how comes bots were fine). Fixed at http://trac.webkit.org/changeset/75946
Comment 7 Andrey Kosyakov 2011-01-17 08:35:33 PST
Comment on attachment 78920 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=78920&action=review

> WebKit2/win/WebKit2.vcproj:21
> +			InheritedPropertySheets="$(WebKitVSPropsRedirectionDir..\..\..\..\WebKitLibraries\win\tools\vsprops\FeatureDefines.vsprops;$(WebKitVSPropsRedirectionDir..\..\..\..\WebKitLibraries\win\tools\vsprops\common.vsprops;$(WebKitVSPropsRedirectionDir..\..\..\..\WebKitLibraries\win\tools\vsprops\debug.vsprops;.\WebKit2Common.vsprops;.\WebKit2DirectX.vsprops;.\WebKit2Apple.vsprops"

Apologies -- the previous comment was meant to refer to this line.
Comment 8 Adam Barth 2011-01-17 13:01:54 PST
Thanks.  Very strange that the bots were fine.